/*
 * Jalview - A Sequence Alignment Editor and Viewer (Version 2.9.0b1)
 * Copyright (C) 2015 The Jalview Authors
 * 
 * This file is part of Jalview.
 * 
 * Jalview is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *  
 * Jalview is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty 
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 * PURPOSE.  See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jalview.  If not, see <http://www.gnu.org/licenses/>.
 * The Jalview Authors are detailed in the 'AUTHORS' file.
 */
package jalview.datamodel;

import static org.testng.AssertJUnit.assertTrue;

import org.testng.annotations.AfterMethod;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

public class PDBEntryTest
{

  @BeforeMethod(alwaysRun = true)
  public void setUp() throws Exception
  {
  }

  @AfterMethod
  public void tearDown() throws Exception
  {
  }

  @Test(groups = { "Functional" })
  public void test()
  {
    try
    {

      PDBEntry pdbEntry = new PDBEntry("1xyz", "A", PDBEntry.Type.PDB,
              "x/y/z/File");

      PDBEntry case1 = new PDBEntry("1XYZ", "A", PDBEntry.Type.PDB,
              "x/y/z/File");
      PDBEntry case2 = new PDBEntry("1xyz", "a", PDBEntry.Type.PDB,
              "x/y/z/File");
      PDBEntry case3 = new PDBEntry("1xyz", "A", PDBEntry.Type.FILE,
              "x/y/z/File");
      PDBEntry case4 = new PDBEntry(null, null, null, null);
      PDBEntry case5 = new PDBEntry(null, "A", PDBEntry.Type.PDB,
              "x/y/z/File");
      PDBEntry case6 = new PDBEntry("1xyz", null, PDBEntry.Type.PDB,
              "x/y/z/File");
      PDBEntry case7 = new PDBEntry("1xyz", "A", null, "x/y/z/File");
      PDBEntry case8 = new PDBEntry("1xyz", "A", PDBEntry.Type.PDB, null);
      PDBEntry case9 = new PDBEntry("1xyz", "A", null, "x/y/z/File");

      // System.out.println(">>>> Testing case 1");
      assertTrue(pdbEntry.equals(case1));
      // System.out.println(">>>> Testing case 2");
      assertTrue(pdbEntry.equals(case2));
      // System.out.println(">>>> Testing case 3");
      assertTrue(!pdbEntry.equals(case3));
      // System.out.println(">>>> Testing case 4");
      assertTrue(!pdbEntry.equals(case4));
      // System.out.println(">>>> Testing case 5");
      assertTrue(!pdbEntry.equals(case5));
      // System.out.println(">>>> Testing case 6");
      assertTrue(!pdbEntry.equals(case6));
      // System.out.println(">>>> Testing case 7");
      assertTrue(!pdbEntry.equals(case7));
      // System.out.println(">>>> Testing case 8");
      assertTrue(pdbEntry.equals(case8));
      assertTrue(pdbEntry.equals(case8));
      assertTrue(case7.equals(case9));
    } catch (Exception e)
    {
      e.printStackTrace();
    }

  }

}
